package org.expeditee.auth.tags;

public class Constants {

	public static final String ERROR_INVALID_USERNAME = "The provided username must begin and end with a letter and contain only letters and numbers inbetween, please choose another.";
	public static final String ERROR_INSUFFICIENT_INFORMATION = "Insufficient information provided to complete this action.";
	public static final String ERROR_MUST_BE_LOGGED_IN = "You must be logged in to perform this action.";
	public static final String ERROR_INSUFFICIENT_INFORMATION_PROVIDED = "Please fill out all the supplied text boxes.";
	public static final String ERROR_MISMATCH_EMAILS = "The provided emails do not match, please fix this and try again.";
	public static final String ERROR_MISMATCH_PASSWORDS = "The provided passwords do not match, please fix this and try again.";
	public static final String ERROR_PROFILE_NAME_PREEXISTS = "A Expeditee profile with this username already exists, please choose another.";
	public static final String CREDENTIALS_KEYSTORE_PASSWORD = "ExpediteeAuthPassword";
	public static final String LABEL_PROFILENAME = "Profilename";
	public static final String LABEL_USERNAME = "Username";
	public static final String TOOLTIP_SETTING_EMAIL = "Your public-facing email address.";
	public static final String TOOLTIP_SETTING_PUBLIC_KEY = "The RSA key used to decrypt things encrypted with your RSA public key.";
	public static final String TOOLTIP_SETTING_PRIVATE_KEY = "The RSA key used to decrypt things encrypted with your RSA public key - do not share with anyone!";
	public static final String TOOLTIP_SETTING_PERSONAL_KEY = "The AES key used to secure your profile frame - do not share with anyone!";
	public static final String SETTINGS_USER_SETTINGS_PROFILE_NAME = "settings.UserSettings.ProfileName";
	public static final String SETTINGS_USER_SETTINGS_USER_NAME = "settings.UserSettings.UserName";
	public static final String SETTINGS_AUTH_EMAIL = "settings.identity.Email";
	public static final String SETTINGS_AUTH_PUBLIC_KEY = "settings.identity.PublicKey";
	public static final String SETTINGS_AUTH_SECRETS_PRIVATE_KEY = "settings.identity.secrets.PrivateKey";
	public static final String SETTINGS_AUTH_SECRETS_PERSONAL_KEY = "settings.identity.secrets.PersonalKey";
	public static final String DATA_SHOW_ON_PROGRESS = "ShowOnProgress";
	public static final String FRAME_COLLEAGUE_SUBMISSION_FRAME = "authentication7";
	public static final String FRAME_AUTHENTICATION1 = "authentication1";
	public static final String FRAME_MULTIUSER1 = "multiuser1";

}
